Bug 217684 - if_tsec: Fixes and performance improvements
Summary: if_tsec: Fixes and performance improvements
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: powerpc Any
: --- Affects Some People
Assignee: Justin Hibbits
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-03-10 13:59 UTC by sebastian.huber
Modified: 2018-09-05 05:19 UTC (History)
3 users (show)

See Also:


Attachments
if_tsec: Assume fixed link if no PHY is present (5.36 KB, patch)
2017-04-04 13:31 UTC, sebastian.huber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sebastian.huber 2017-03-10 13:59:25 UTC
The TSEC network interface driver is used on several Freescale SoC. I want to use it on the P1020RDB and MVME2500 (P2020) boards. I had problems with the MII communication. the transmit throughput and a deadlock in case of system overload.
Comment 2 Justin Hibbits freebsd_committer 2017-04-04 00:47:15 UTC
Taking this.
Comment 3 Justin Hibbits freebsd_committer 2017-04-04 02:57:35 UTC
Committed to head in r316478,r316479,r316480,r316481,r316482
Comment 4 sebastian.huber 2017-04-04 13:31:08 UTC
Created attachment 181456 [details]
if_tsec: Assume fixed link if no PHY is present

Thanks, for the commits. This patch is necessary for the P1020RDB.
Comment 5 sebastian.huber 2017-04-04 13:34:20 UTC
I still have some performance problems, since for each transmit frame we do an M_PREPEND(m0, sizeof(struct tsec_tx_fcb), M_NOWAIT) for the checksum offload. I guess it would be more efficient to pre-allocate the FCB together with the descriptors.  I am now busy with other projects and may resume this work in October 2017.
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2018-05-23 10:27:31 UTC
batch change of PRs untouched in 2018 marked "in progress" back to open.
Comment 7 Ed Maste freebsd_committer 2018-09-04 18:03:25 UTC
(In reply to sebastian.huber from comment #5)
Shall we close this PR and you can submit a new PR or Phabricator review with future performance changes?
Comment 8 sebastian.huber 2018-09-05 05:19:30 UTC
(In reply to Ed Maste from comment #7)
I will use a new PR or Phabricator review for follow up patches.

What is preferred PR or Phabricator review?